Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.applet
Class AppletMessage

    java.lang.Object
      ix.applet.AppletMessage

All Implemented Interfaces:
  java.io.Serializable

    public class AppletMessage

extends java.lang.Object
implements java.io.Serializable

Wrapper for messages between applets.

See Also:
  `AppletCommunicationStrategy`, Serialized Form

Field Summary
`(package private) LList` | `args`
`(package private) java.lang.String` | `command`
`(package private) java.lang.String` | `from`
`(package private) java.lang.String` | `remoteAddr`
`(package private) java.lang.String` | `remoteHost`
`(package private) java.util.Date` | `sendDate`
`(package private) java.lang.Integer` | `sequenceNumber`

Constructor Summary
`AppletMessage()`
`AppletMessage(java.lang.String from, java.lang.String command)`
`AppletMessage(java.lang.String from, java.lang.String command, LList args)`
`AppletMessage(java.lang.String from, java.lang.String command, java.lang.Object arg1)`
`AppletMessage(java.lang.String from, java.lang.String command, java.lang.Object arg1, java.lang.Object arg2)`

Method Summary
`java.lang.Object` | `getArg(int i)`
`LList` | `getArgs()`
`java.lang.String` | `getCommand()`
`java.lang.String` | `getFrom()`
`java.lang.String` | `getRemoteAddr()`
`java.lang.String` | `getRemoteHost()`
`java.util.Date` | `getSendDate()`
`int` | `getSeqNo()`
`java.lang.Integer` | `getSequenceNumber()`
`void` | `setArgs(LList args)`
`void` | `setCommand(java.lang.String command)`
`void` | `setFrom(java.lang.String from)`
`void` | `setRemoteAddr(java.lang.String remoteAddr)`
`void` | `setRemoteHost(java.lang.String remoteHost)`
`void` | `setSendDate(java.util.Date sendDate)`
`void` | `setSeqNo(int i)`
`void` | `setSequenceNumber(java.lang.Integer s)`
`LList` | `toList()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### from

    java.lang.String from

### command

    java.lang.String command

### args

    LList args

### sendDate

    java.util.Date sendDate

### sequenceNumber

    java.lang.Integer sequenceNumber

### remoteHost

    java.lang.String remoteHost

### remoteAddr

    java.lang.String remoteAddr

Constructor Detail

### AppletMessage

    public AppletMessage()

### AppletMessage

    public AppletMessage(java.lang.String from,
                         java.lang.String command)

### AppletMessage

    public AppletMessage(java.lang.String from,
                         java.lang.String command,
                         java.lang.Object arg1)

### AppletMessage

    public AppletMessage(java.lang.String from,
                         java.lang.String command,
                         java.lang.Object arg1,
                         java.lang.Object arg2)

### AppletMessage

    public AppletMessage(java.lang.String from,
                         java.lang.String command,
                         LList args)

Method Detail

### getFrom

    public java.lang.String getFrom()

### setFrom

    public void setFrom(java.lang.String from)

### getCommand

    public java.lang.String getCommand()

### setCommand

    public void setCommand(java.lang.String command)

### getArgs

    public LList getArgs()

### getArg

    public java.lang.Object getArg(int i)

### setArgs

    public void setArgs(LList args)

### getSendDate

    public java.util.Date getSendDate()

### setSendDate

    public void setSendDate(java.util.Date sendDate)

### getSequenceNumber

    public java.lang.Integer getSequenceNumber()

### setSequenceNumber

    public void setSequenceNumber(java.lang.Integer s)

### getSeqNo

    public int getSeqNo()

### setSeqNo

    public void setSeqNo(int i)

### getRemoteHost

    public java.lang.String getRemoteHost()

### setRemoteHost

    public void setRemoteHost(java.lang.String remoteHost)

### getRemoteAddr

    public java.lang.String getRemoteAddr()

### setRemoteAddr

    public void setRemoteAddr(java.lang.String remoteAddr)

### toList

    public LList toList()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD